<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html lang="en" xml:lang="en" xmlns="http://www.w3.org/1999/xhtml">


<head>
<title>Live 1966 (1998)</title>
<link rel="stylesheet" type="text/css" href="../css/general.css" />
<link href="../css/indexpages.css" rel="stylesheet" type="text/css" />
</head>

<body>

<h1><img alt="Live 1966" src="../graphics/live1966.jpg" width="150" height="150" /> Live 1966 <br />
<em>&quot;The Royal Albert Hall Concert&quot;</em> (1998)</h1>

<p class="recdate">Recorded May 17, 1966 in Manchester Free Trade Hall. <br />
Released 1998</p>

<div id="songs">
    <ol>
      <li><a href="../05_biabh/she_belongs_to_me.htm">She Belongs To Me</a></li>
      <li><a href="../07_bob/fourth_time_around.htm">4th Time Around</a></li>
      <li><a href="../07_bob/visions_of_johanna.htm">Visions of Johanna</a> </li>
      <li><a href="../05_biabh/its_all_over_now_baby_blue.htm">It's All Over Now, Baby Blue </a></li>
      <li><a href="../06_hwy61/desolation_row.htm">Desolation Row</a> </li>
      <li><a href="../07_bob/just_like_a_woman.htm">Just Like a Woman</a> (Live versions)</li>
      <li><a href="../05_biabh/mr_tambourine_man.htm">Mr Tambourine Man</a> (studio and live
        versions)</li>
      <li><a href="tell_me_momma.htm">Tell Me, Momma</a> </li>
      <li><a href="../04_anotherside/i_dont_believe_you.htm">I Don't Believe You</a>&nbsp; </li>
      <li><a href="../01_bobdylan/baby_let_me_follow_you_down.htm">Baby, Let Me Follow You Down</a></li>
      <li><a href="../06_hwy61/just_like_tom_thumbs_blues.htm">Just Like Tom Thumb's Blues</a> </li>
      <li><a href="../07_bob/leopardskin_pillbox_hat.htm">Leopard-Skin Pill-Box Hat</a> </li>
      <li><a href="../03_times/one_too_many_mornings.htm">One Too Many Mornings</a> </li>
      <li><a href="../06_hwy61/ballad_of_a_thin_man.htm">Ballad Of A Thin Man</a> </li>
      <li><a href="../06_hwy61/like_a_rolling_stone.htm">Like A Rolling Stone</a> </li>
    </ol>
</div>

<div id="intro">
    <p>The somewhat cryptic title of this album reflects the fact that the concert, which circulated widely among collectors long before it was officially released, was for a long time believed to have been the final concert of the English tour (May 26 or 27, 1966), in the Royal Albert Hall, London.</p>
</div>
<script type="text/javascript">
var gaJsHost = (("https:" == document.location.protocol) ? "https://ssl." : "http://www.");
document.write(unescape("%3Cscript src='" + gaJsHost + "google-analytics.com/ga.js' type='text/javascript'%3E%3C/script%3E"));
</script>
<script type="text/javascript">
try {
var pageTracker = _gat._getTracker("UA-7570468-2");
pageTracker._trackPageview();
} catch(err) {}</script>
</body>
</html>
